# POST /control/v1/models/request-deployment

> RequestModelDeployment

- `operationId`: `ControlV1ModelsRequestDeploymentRequestModelDeployment`
- Group: [Model Catalog](https://sference.com/docs/api-reference/model-catalog.md)
- API spec (machine-readable): https://sference.com/openapi.json
- HTML version: https://sference.com/docs/api-reference/model-catalog/ControlV1ModelsRequestDeploymentRequestModelDeployment

## Request body (required)

Content type `application/json`. Schema: `ModelDeploymentRequestBody`

| Field | Type | Required | Constraints | Description |
| --- | --- | --- | --- | --- |
| `model_id` | string | yes | — | — |
| `display_name` | string \| null | no | — | — |

## Responses

### `200` — Request fulfilled, document follows

Schema: `ModelDeploymentRequestResponse`

| Field | Type | Required | Constraints | Description |
| --- | --- | --- | --- | --- |
| `ok` | boolean | no | default `true` | — |

### `400` — Bad request syntax or unsupported method

Schema: `object`

| Field | Type | Required | Constraints | Description |
| --- | --- | --- | --- | --- |
| `status_code` | integer | yes | — | — |
| `detail` | string | yes | — | — |
| `extra` | null \| object \| array | no | — | — |

Source: https://sference.com/docs/api-reference/model-catalog/ControlV1ModelsRequestDeploymentRequestModelDeployment
